software-center crashed with AttributeError in convert_desktop_file_to_installed_location(): 'NoneType' object has no attribute 'replace' when installing a .deb file

Bug #768158 reported by Swen Kühnlein on 2011-04-21
92
This bug affects 17 people
Affects Status Importance Assigned to Milestone
software-center (Ubuntu)
Medium
Gary Lasker
Natty
Medium
Unassigned

Bug Description

Binary package hint: software-center

Happened after I installed Google Talk Plug-In via software-center

TEST CASE:
1. Download the Google Talk Plugin .deb from http://www.google.com/talk/ and save to your desktop.
2. Update to Software Center 4.0.2 in natty-proposed.
3. Double-click the Google Talk Plugin .deb on your desktop.
4. Software Center should and display the details page for the Google Talk Plugin.
5. Click the "Install" button.
6. Verify that the package installs without issue.
7. Uninstall the plugin if desired.

ProblemType: Crash
DistroRelease: Ubuntu 11.04
Package: software-center 4.0
ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
Uname: Linux 2.6.38-8-generic x86_64
NonfreeKernelModules: nvidia
Architecture: amd64
Date: Thu Apr 21 10:41:42 2011
ExecutablePath: /usr/share/software-center/software-center
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Beta amd64 (20110413)
InterpreterPath: /usr/bin/python2.7
PackageArchitecture: all
ProcCmdline: /usr/bin/python /usr/bin/software-center /home/username/Downloads/google-talkplugin_current_amd64.deb
ProcEnviron:
 LANGUAGE=de_DE:en
 PATH=(custom, no user)
 LANG=de_DE.UTF-8
 SHELL=/bin/bash
PythonArgs: ['/usr/bin/software-center', '/home/username/Downloads/google-talkplugin_current_amd64.deb']
SourcePackage: software-center
Title: software-center crashed with AttributeError in convert_desktop_file_to_installed_location(): 'NoneType' object has no attribute 'replace'
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare vboxusers

Swen Kühnlein (swen) wrote :
Swen Kühnlein (swen) on 2011-04-21
visibility: private → public
wykedengel (wykedengel) wrote :

I encountered the same error installing Ubuntu Tweak 0.5.11 beta.

Gerhard Burger (burger.ga) wrote :

Here too after installing Ubuntu Tweak 0.5.12

Pascal Hartig (passy) wrote :

Happened to me after manually installing indicator-sysmonitor[0] from a .deb.

[0] https://launchpad.net/indicator-sysmonitor/+download

Seba78 (teo78) wrote :

I tried to install the package Ubuntu-tweak.deb from web.

Victor Vargas (kamus) wrote :

same to me, after install google plugin for videochat support suddenly software-center crashed.

Changed in software-center (Ubuntu):
importance: Undecided → Medium
Gary Lasker (gary-lasker) wrote :

Updated bug title as it appears based on comments here and in dupes that this error is occurring when installing .deb files directly with Software Center.

summary: software-center crashed with AttributeError in
convert_desktop_file_to_installed_location(): 'NoneType' object has no
- attribute 'replace'
+ attribute 'replace' when installing a .deb file
Changed in software-center (Ubuntu):
status: New → In Progress
assignee: nobody → Gary Lasker (gary-lasker)
Changed in software-center (Ubuntu):
status: In Progress → Fix Committed
Changed in software-center (Ubuntu Natty):
status: New → Fix Committed
importance: Undecided → Medium
milestone: none → natty-updates
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package software-center - 4.1.1

---------------
software-center (4.1.1) oneiric; urgency=low

  [ Gary Lasker ]
  * softwarecenter/utils.py,
    test/test_unity_launcher_integration.py:
    - fix intermittent crash when installing a local .deb,
      add corresponding test case (LP: #768158)
  * softwarecenter/db/reviews.py,
    test/test_reviews.py:
    - sort reviews using upstream package versions to fix
      incorrect sort by usefulness, update unit test
      (LP: #777583)

  [ Aaron Peachey ]
  * utils/update-software-center, utils/update-software-center-agent
    - fix 'no log handler' error on update-software-center (LP #728896)
  * lp:~aaronp/software-center/enhance-usefulness:
    - load/cache users usefulnes votes
  * add utils/get_useful_votes_helper.py to the setup scripts

  [ Michael Vogt ]
  * merged lp:~weblive-dev/software-center/weblive-set-locale, many
    thanks
  * support pagination ("Show more reviews" button) when there are
    more reviews than fitting in a returned "page"
  * utils/get_reviews_helper.py:
    - if there are no reviews for the current distroseries, fallback
      to the previous one (LP: #783331)
  * updated tests for oneiric
 -- Michael Vogt <email address hidden> Mon, 16 May 2011 09:53:04 +0200

Changed in software-center (Ubuntu):
status: Fix Committed → Fix Released

Accepted software-center into natty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
description: updated
Gary Lasker (gary-lasker) wrote :

I have verified the fix per the provided test case for Software Center 4.0.2 in natty-proposed. Thanks!

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package software-center - 4.0.2

---------------
software-center (4.0.2) natty-proposed; urgency=low

  [ Gary Lasker ]
  * softwarecenter/utils.py,
    test/test_unity_launcher_integration.py:
    - fix intermittent crash when installing a local .deb,
      add corresponding test case (LP: #768158)
  * softwarecenter/db/reviews.py,
    test/test_reviews.py:
    - sort reviews using upstream package versions to fix
      incorrect sort by usefulness, update unit test
      (LP: #777583)

  [ Michael Vogt ]
  * softwarecenter/db/reviews.py:
    - fix review-stats loading (LP: #776706)
  * merged lp:~evfool/software-center/qfix774201, many thanks
    to Robert Roth (fixes LP: #774201)
 -- Michael Vogt <email address hidden> Tue, 17 May 2011 16:04:01 +0200

Changed in software-center (Ubuntu Natty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers